﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.LightSwitch;
namespace LightSwitchApplication
{
    public partial class SchoolBook
    {
        partial void Summary_Compute(ref string result)
        {
            result = string.Format("{0} / {1}",
                School != null ? School.Name : "",
                Book != null ? Book.Title : "");
        }

        partial void CountTotal_Validate(EntityValidationResultsBuilder results)
        {
            if (CountUsedGood + CountUsedPoor + CountNew != CountTotal)
                results.AddPropertyError("Individual counts must add up to count total");
        }
    }
}
