﻿using System;
using System.Linq;
using System.IO;
using System.IO.IsolatedStorage;
using System.Collections.Generic;
using Microsoft.LightSwitch;
using Microsoft.LightSwitch.Framework.Client;
using Microsoft.LightSwitch.Presentation;
using Microsoft.LightSwitch.Presentation.Extensions;
namespace LightSwitchApplication
{
    public partial class DebugBooks
    {
        partial void CreateInvalidSchoolBook_Execute()
        {
            var newSchoolBook = this.DataWorkspace.ApplicationData.SchoolBooks.AddNew();
            newSchoolBook.CountTotal = 50;
            newSchoolBook.CountUsedGood = 60;
            newSchoolBook.School = (from school in this.DataWorkspace.ApplicationData.Schools
                                    select school).FirstOrDefault();
            newSchoolBook.Book = (from book in this.DataWorkspace.ApplicationData.Books
                                  select book).FirstOrDefault();
            this.DataWorkspace.ApplicationData.SaveChanges();
        }
    }
}
